Skip to content
Docs

List Connect Connection

GET/v1/networking/connect/connections

List all Connect Connections

Query ParametersExpand Collapse
project_id: string

Project ID of resources to request

cursor: optional string

Pagination cursor returned by a previous request

limit: optional number

Maximum number of items to return

maximum100
minimum10
ReturnsExpand Collapse
ConnectConnectionList object { items, pagination }
items: array of ConnectConnection { id, asn, aws, 13 more }
id: string

Unique identifier for the Connect Connection

asn: number

ASN

AWS provider configuration

region: string

AWS region where the connection is established

bandwidth_mbps: ConnectBandwidthMbps

Connect Connection speed in Mbps

One of the following:
50
200
500
1000
2000
cidrs: array of string

CIDRs for the Connect Connection

created_at: string

When the Connect Connection was created

formatdate-time
name: string

Name of the Connect Connection

project_id: string

Project ID the Connect Connection belongs to

provider_asn: number

Provider ASN

provider_cidrs: array of string

Provider CIDRs for the Connect Connection

provider_router_ip: string

Provider Router IP for the Connect Connection

region: RegionName

Region the resource is in.

router_ip: string

Router IP

Status of the resource.

One of the following:
"pending"
"creating"
"updating"
"ready"
"deleting"
"deleted"
"error"
tags: array of string

Tags to attach to the Connect Connection

updated_at: string

When the Connect Connection was updated

formatdate-time

List Connect Connection

curl https://api.nirvanalabs.io/v1/networking/connect/connections \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "asn": 64512,
      "aws": {
        "region": "us-east-1"
      },
      "bandwidth_mbps": 50,
      "cidrs": [
        "10.0.0.0/16"
      ],
      "created_at": "2025-01-01T00:00:00Z",
      "name": "my-connect-connection",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "provider_asn": 64513,
      "provider_cidrs": [
        "172.16.0.0/16"
      ],
      "provider_router_ip": "169.254.1.43",
      "region": "us-sva-2",
      "router_ip": "169.254.1.42",
      "status": "ready",
      "tags": [
        "production",
        "ethereum"
      ],
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}
Returns Examples
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "asn": 64512,
      "aws": {
        "region": "us-east-1"
      },
      "bandwidth_mbps": 50,
      "cidrs": [
        "10.0.0.0/16"
      ],
      "created_at": "2025-01-01T00:00:00Z",
      "name": "my-connect-connection",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "provider_asn": 64513,
      "provider_cidrs": [
        "172.16.0.0/16"
      ],
      "provider_router_ip": "169.254.1.43",
      "region": "us-sva-2",
      "router_ip": "169.254.1.42",
      "status": "ready",
      "tags": [
        "production",
        "ethereum"
      ],
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}